Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.criteria
Interface ComparisonStyle

All Known Implementing Classes:
  ComparisonStyle.Default

    public interface ComparisonStyle

Defines a comparison style to be applied for query-by-example attribute comparison.

Since:
  2.0.0
Author:
  Pinaki Poddar

Nested Class Summary
`static class` | `ComparisonStyle.Default` Default implementation.
`static class` | `ComparisonStyle.StringComparisonMode`

Method Summary
`boolean` | `excludeDefault()` Affirms if the default-valued attribute be excluded from comparison.
`boolean` | `excludeIdentity()` Affirms if the identity attribute be excluded from comparison.
`boolean` | `excludeNull()` Affirms if the null-valued attribute be excluded from comparison.
`boolean` | `excludeVersion()` Affirms if the version attribute be excluded from comparison.
`ComparisonStyle.StringComparisonMode` | `getStringComparsionMode()` Gets how string-valued attributes be compared.
`boolean` | `isDisjunction()` Affirms if the attribute comparisons are OR'ed.
`ComparisonStyle` | `setDisjunction(boolean flag)` Sets whether the comparison to OR the attribute comparisons.
`ComparisonStyle` | `setExcludeDefault(boolean flag)` Sets whether the comparison excludes default-valued attributes.
`ComparisonStyle` | `setExcludeIdentity(boolean flag)` Sets whether the comparison excludes identity attribute.
`ComparisonStyle` | `setExcludeNull(boolean flag)` Sets whether the comparison excludes null-valued attributes.
`ComparisonStyle` | `setExcludeVersion(boolean flag)` Sets whether the comparison excludes version attribute.
`ComparisonStyle` | `setStringComparisonMode(ComparisonStyle.StringComparisonMode mode)` Sets the comparison mode for String-valued attributes.

Method Detail

### isDisjunction

    boolean isDisjunction()

  Affirms if the attribute comparisons are OR'ed. Defaults to false.

### setDisjunction

    ComparisonStyle setDisjunction(boolean flag)

  Sets whether the comparison to OR the attribute comparisons.

### excludeNull

    boolean excludeNull()

  Affirms if the null-valued attribute be excluded from comparison. Defaults to true.

### setExcludeNull

    ComparisonStyle setExcludeNull(boolean flag)

  Sets whether the comparison excludes null-valued attributes.

### excludeIdentity

    boolean excludeIdentity()

  Affirms if the identity attribute be excluded from comparison. Defaults to true.

### setExcludeIdentity

    ComparisonStyle setExcludeIdentity(boolean flag)

  Sets whether the comparison excludes identity attribute.

### excludeVersion

    boolean excludeVersion()

  Affirms if the version attribute be excluded from comparison. Defaults to true.

### setExcludeVersion

    ComparisonStyle setExcludeVersion(boolean flag)

  Sets whether the comparison excludes version attribute.

### excludeDefault

    boolean excludeDefault()

  Affirms if the default-valued attribute be excluded from comparison. Defaults to true.

### setExcludeDefault

    ComparisonStyle setExcludeDefault(boolean flag)

  Sets whether the comparison excludes default-valued attributes.

### getStringComparsionMode

    ComparisonStyle.StringComparisonMode getStringComparsionMode()

  Gets how string-valued attributes be compared.

### setStringComparisonMode

    ComparisonStyle setStringComparisonMode(ComparisonStyle.StringComparisonMode mode)

  Sets the comparison mode for String-valued attributes.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.